import * as React from 'react';
import HighchartsChart from '../HighchartsChart';
import Options3d from '../Options3d';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const CHART = {
  options3d: {
    enabled: true
  }
};
const ZAXIS = {
  id: 'zAxis'
};
const Highcharts3dChart = ({
  children,
  alpha,
  axisLabelPosition,
  beta,
  depth,
  fitToPlot,
  frame,
  viewDistance,
  ...rest
}) => /*#__PURE__*/_jsxs(HighchartsChart, {
  chart: CHART,
  zAxis: ZAXIS,
  ...rest,
  children: [/*#__PURE__*/_jsx(Options3d, {
    alpha: alpha,
    axisLabelPosition: axisLabelPosition,
    beta: beta,
    depth: depth,
    fitToPlot: fitToPlot,
    frame: frame,
    viewDistance: viewDistance
  }), children]
});
Highcharts3dChart.propTypes = Options3d.propTypes;
export default Highcharts3dChart;